Package org.kapott.hbci.GV_Result

# Class GVRDauerEdit

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRDauerEdit

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public class GVRDauerEdit extends HBCIJobResultImpl
Ergebnis einer Dauerauftragsänderung. Ein geänderter Dauerauftrag kann u.U. eine andere Auftrags-Identifikationsnummer erhalten als der ursprüngliche Auftrag. Die neue und optional die alte Auftrags-ID können mit dieser Klasse ermittelt werden.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRDauerEdit()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOrderId()`
Gibt die Auftrags-Identifikationsnummer des geänderten Auftrages zurück.
`String`
`getOrderIdOld()`
Gibt die Auftrags-Identifikationsnummer des ursprünglichen Dauerauftrages zurück.
`void`
`setOrderId(String orderid)`
`void`
`setOrderIdOld(String orderidold)`
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRDauerEdit

public GVRDauerEdit()

## Method Details

### setOrderId

public void setOrderId(String orderid)

### setOrderIdOld

public void setOrderIdOld(String orderidold)

### getOrderId

public String getOrderId()
Gibt die Auftrags-Identifikationsnummer des geänderten Auftrages zurück.

Returns:
  neue Auftrags-ID

### getOrderIdOld

public String getOrderIdOld()
Gibt die Auftrags-Identifikationsnummer des ursprünglichen Dauerauftrages zurück.

Returns:
  alte Auftrags-ID oder `null`, wenn diese nicht von der Bank bereitgestellt wird

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`